import React from 'react'
import Icon from 'cozy-ui/react/Icon'
import { translate } from 'cozy-ui/react/I18n'
import { FluidType } from 'enum/fluid.enum'
import { getPicto, getCardColor } from 'utils/utils'
import { ProcessedData } from 'services/fluidService'
import StyledIconCard from 'components/CommonKit/Card/StyledIconCard'
import { NavLink } from 'react-router-dom'

export interface RedirectionMiniCard {
  fluidTypes: FluidType[]
  t: Function
}

const RedirectionMiniCard: React.FC<RedirectionMiniCard> = ({
  fluidTypes,
  t,
}: RedirectionMiniCard) => {
  return (
    <>
      {fluidTypes.map(fluidType => (
        <NavLink
          key={fluidType}
          className="redirect-card-link"
          to={`/consumption/${t(
            'FLUID.' + FluidType[fluidType] + '.NAME'
          ).toLowerCase()}`}
        >
          <StyledIconCard fluidType={fluidType}>
            <div className="redirect-card-content">
              {t('INDICATOR.DISPLAY_OTHER_FLUID') +
                ' ' +
                t('FLUID.' + FluidType[fluidType] + '.LABEL').toLowerCase()}
            </div>
          </StyledIconCard>
        </NavLink>
      ))}
    </>
  )
}

export default translate()(RedirectionMiniCard)
